# 2) Using the script attached to this topic, run the command -
# ./create_app_token.sh "Your account email @ your domain.com" "Your Password"
# "<Rollout URL 'no http'>" - then go to the <Rollout URL> and login check the
# applications list and you should now see the test token in the applications
# tab. It is ok if there are duplicates.)

import json
import requests

from sst.actions import (
    assert_text_contains,
    get_base_url,
    get_elements_by_css,
    go_to,
)
from u1testutils.sst import config

from acceptance import helpers, urls

API_TOKEN_URL = '%s/api/v2/tokens/oauth'
JSON_HEADERS = {
    'Content-Type': 'application/json',
    'Accept': 'application/json',
}
PASSWORD = 'Admin007'
TOKEN_1 = 'chupacabra'
TOKEN_2 = 'leviathan'
TOKEN_3 = 'behemoth'

config.set_base_url_from_env()

# Create an account
email_address = helpers.register_account()

# Make sure we are not logged in
helpers.logout()

# Authenticate via the api so that an application can be created
data = dict(email=email_address, password=PASSWORD)
url = API_TOKEN_URL % get_base_url()
for token in [TOKEN_1, TOKEN_2, TOKEN_3]:
    data['token_name'] = token
    response = requests.post(url, data=json.dumps(data), headers=JSON_HEADERS)
    assert response.ok, response.json()
    assert response.json()['token_name'] == token, response.json()

# Now log in and check that the apps are associated with the account.
helpers.login(email_address, PASSWORD)
go_to(urls.APPLICATIONS)

applications = get_elements_by_css('*[data-qa-id="application_token"]')
for i, token in enumerate((TOKEN_3, TOKEN_2, TOKEN_1)):
    # skip the first token which is the "web login" token
    assert_text_contains(applications[i], token)
