# Copyright 2012, 2013 Canonical Ltd.
# This software is licensed under the GNU Affero General Public License
# version 3 (see the file LICENSE).

from acceptance import base, pages
from acceptance.tests import devices


class TestDeleteDevice(base.SSTTestCaseWithLogIn):

    def setUp(self):
        super(TestDeleteDevice, self).setUp()
        self.useFixture(devices.DeleteDevicesPageOpened(
            'Test device to delete'))
        self.page = pages.DeleteAuthenticationDevice()

    def test_device_deletion(self):
        your_auth_devices = self.page.confirm_delete_device()
        self.assertEqual(
            your_auth_devices.get_devices(), [])

    def test_cancel_device_deletion(self):
        your_auth_devices = self.page.cancel()
        self.assertEqual(
            your_auth_devices.get_devices(), ['Test device to delete'])
