# Copyright 2012, 2013 Canonical Ltd.
# This software is licensed under the GNU Affero General Public License
# version 3 (see the file LICENSE).

from acceptance import base, pages


class TestGeneratePaperCodes(base.SSTTestCaseWithLogIn):

    def setUp(self):
        super(TestGeneratePaperCodes, self).setUp()
        add_device_page = pages.AddNewAuthenticationDevice(open_page=True)
        self.page = add_device_page.add_paper_device()

    def test_generate_paper_codes(self):
        # Get the first code which we will invalidate
        old_code = self.page.get_first_code()
        new_codes_page = self.page.generate_new_codes()
        paper_device_page = new_codes_page.confirm_new_codes()
        new_code = paper_device_page.get_first_code()
        self.assertNotEqual(old_code, new_code)

    def test_cancel_generating_paper_codes(self):
        # Get the first code which should remain after cancel
        the_code = self.page.get_first_code()
        new_codes_page = self.page.generate_new_codes()
        paper_device_page = new_codes_page.cancel()
        the_same_code = paper_device_page.get_first_code()
        self.assertEqual(the_code, the_same_code)
