import os

from identityprovider import crypto

BASE_DIR = os.path.dirname(os.path.dirname(__file__))
os.environ.setdefault('SSO_LOGS_DIR', os.path.join(BASE_DIR, 'logs'))
os.environ.setdefault('SSO_ROOT_URL', 'http://0.0.0.0:8000')

from django_project.settings_base import *  # noqa

CSRF_COOKIE_SECURE = False
CRYPTO_SSO_PRIVKEY = crypto.load_private_key(
    os.path.join(BASE_DIR, 'rsakeys', 'sso_id_rsa'))
DATABASES['default']['HOST'] = '/dev/shm/pg_sso'
DBFAILOVER_FLAG_DIR = LOGS_DIR
DEBUG = True
EMAIL_BACKEND = 'django.core.mail.backends.smtp.EmailBackend'
GARGOYLE_SWITCH_DEFAULTS = {
    'TWOFACTOR': {'is_active': True},
    'CAN_VIEW_SUPPORT_PHONE': {'is_active': True},
    'CAPTCHA': {'is_active': False},
    'CAPTCHA_NEW_ACCOUNT': {'is_active': False},
    'PREFLIGHT': {'is_active': True},
    'LOGIN_BY_TOKEN': {'is_active': True},
    'GPG_SERVICE': {'is_active': True},
    'SSH_KEY_INTEGRATION': {'is_active': False},
}
PASSWORD_HASHERS = [
    'django.contrib.auth.hashers.SHA1PasswordHasher',
    'identityprovider.auth.BCrypt13PasswordHasher',
    'django.contrib.auth.hashers.PBKDF2PasswordHasher',
]
SECRET_KEY = 'SomethingSomething'
SESSION_COOKIE_SECURE = False
STATSD_CLIENT = 'django_statsd.clients.null'
STATSD_PREFIX = 'as.devel.sso'
TEMPLATE_DEBUG = True
TESTING = True
TEST_ACCOUNT_EMAIL = ''
TEST_ACCOUNT_PASSWORD = ''
TEST_DISCOVER_ROOT = SRC_DIR
TEST_DISCOVER_TOP_LEVEL = SRC_DIR
TEST_PROFILE = 'test.prof'
TEST_RUNNER = 'testing.runner.TestRunner'
TWOFACTOR_MANDATORY_TEAMS = ['ubuntuone-hackers']
# Load a minimal blacklist in development so as to not need too much
# time and memory and not break any tests
PASSWORD_BLACKLIST_FILE = os.path.join(BASE_DIR, "blacklist-devel.txt")
USE_SENTRY = False
