import adminaudit
import preflight

from django.conf.urls import patterns, include
from django.contrib import admin
from django.contrib.auth.views import logout


admin.autodiscover()
adminaudit.audit_install()
preflight.autodiscover()

handler500 = 'webui.views.errors.server_error'
handler404 = 'webui.views.errors.page_not_found'

urlpatterns = patterns(
    '',
    (r'^admin/', include(admin.site.urls)),
    (r'^preflight/', include('preflight.urls')),
    (r'', include('identityprovider.urls')),
    # Web UI
    (r'', include('webui.urls')),
    # REST api
    (r'^api/', include('api.urls')),
    # SAML support
    (r'^\+saml', include('ubuntu_sso_saml.urls')),
    (r'^saml', include('ubuntu_sso_saml.urls')),
    # OpenID views
    (r'^openid/', include('django_openid_auth.urls')),
    (r'^logout/$', logout, {'next_page': '/'}),
)
