#!/bin/bash

# This create nova workers to be used for running tests concurrently. It
# defaults to creating 10 workers names 'sso-nova-worker-01' to
# 'sso-nova-worker-10'. It accepts parameters to reduce the number of workers
# created as well as controlling the names:
# '$0 2 3' will create sso-nova-worker-{02,03,04}

set -e

NB=${1:-10}
FROM=${2:-1}
TO=$(( ${FROM} + ${NB} - 1))

for (( x = ${FROM} ; x <= ${TO} ; x++ ))
do
    (
        VM_NAME=$(printf "sso-nova-worker-%02d" $x)
        
        # Relying on uci-vms.conf setting a low timeout so we only get
        # "good" instances. Failed ones can be retried manually until only
        # good instances are created.
        (echo Creating ${VM_NAME} \
                && uci-vms2 setup ${VM_NAME} \
                && uci-vms2 shell ${VM_NAME} bin/setup-nova-worker.sh \
                && echo  ${VM_NAME} is up
        ) &
    )
done

