#!/usr/bin/env python

from conn_check_configs.django import (
    EXTRA_CHECK_MAKERS,
    STATSD_CHECK,
    run
)
from urlparse import urlparse

STATSD_CHECK['send'] = 'Hakuna'
STATSD_CHECK['expect'] = 'Matata'


def make_recaptcha_check(settings, options):
    checks = []
    urls = (
        settings['CAPTCHA_API_URL'] + '/challenge',
        settings['CAPTCHA_VERIFY_URL'],
    )
    for url in urls:
        check = {
            'type': 'http',
            'url': url,
            'method': 'GET',
            'expected_code': 200,
        }
        parsed = urlparse(url)
        proxy = settings.get('CAPTCHA_PROXIES', {}).get(parsed.scheme)
        if proxy:
            proxy_host, proxy_port = urlparse(proxy).netloc.split(':')
            if proxy_host:
                check['proxy_host'] = proxy_host
            if proxy_port:
                check['proxy_port'] = int(proxy_port)

        checks.append(check)

    return checks

EXTRA_CHECK_MAKERS.append(make_recaptcha_check)


if __name__ == '__main__':
    run()
