from django.conf import settings
from django.core.checks import Warning, register


@register()
def gpgservice_endpoint_check(app_configs, **kwargs):
    """Provide a warning if GPGSERVICE_ENDPOINT has not been set."""
    warnings = []
    msg = 'GPGSERVICE_ENDPOINT must be set for key management functionality.'
    hint = 'Set GPGSERVICE_ENDPOINT in ../local_config/settings.py'
    if not settings.GPGSERVICE_ENDPOINT:
        warnings.append(Warning(msg, hint=hint, id='identityprovider.W001'))
    return warnings
