# Copyright 2013 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from django.core.management.base import BaseCommand

from identityprovider.utils import get_cypher_migration_status


class Command(BaseCommand):

    help = 'Prints the password cypher migration status.'

    def handle(self, *args, **options):
        result = get_cypher_migration_status()
        self.stdout.write(
            'Migrated passwords: {}'.format(result['new_hashes']))
        self.stdout.write(
            'Old passwords: {}'.format(result['old_hashes']))
