# Copyright 2011 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
import sys

from identityprovider.oops_config import (
    global_error_reporter,
    ManuallyGeneratedOops,
)


class OopsPleaseMiddleware(object):

    QUERY_STRING_KEY = 'oopsplease'

    def process_response(self, request, response):
        if request.GET.get(self.QUERY_STRING_KEY, None):
            try:
                raise ManuallyGeneratedOops("User requested oops.")
            except Exception:
                exc_info = sys.exc_info()
            ids = global_error_reporter.trigger_oops(
                exc_info=exc_info, request=request)
            response['X-Oops-Id'] = repr(ids)
        return response
