from unittest import TestCase

from django.apps import apps, AppConfig

from identityprovider import utils


class AppsTests(TestCase):

    def test_appconfig_instance(self):
        appconfig = apps.get_app_config('identityprovider')
        self.assertIsInstance(appconfig, AppConfig)
        self.assertEqual("Identity Provider", appconfig.verbose_name)

    def test_appconfig_populates_blacklist(self):
        # The "ready" method is run implicitly as part of initializing the
        # settings for the test run.
        self.assertIsNotNone(utils.get_password_blacklist())
