from django.core.management import call_command
from mock import call, patch

from identityprovider.tests.utils import SSOBaseTestCase


class CypherMigrationStatusCommandTestCase(SSOBaseTestCase):

    @patch('identityprovider.management.commands.cypher_migration_status.'
           'get_cypher_migration_status')
    @patch('sys.stdout')
    def test_gets_cypher_migration_status(self, stdout,
                                          get_cypher_migration_status):
        get_cypher_migration_status.return_value = {
            'new_hashes': 123,
            'old_hashes': 234,
        }
        call_command('cypher_migration_status')

        get_cypher_migration_status.assert_called_once_with()
        self.assertEqual(stdout.write.mock_calls, [
            call('Migrated passwords: 123\n'),
            call('Old passwords: 234\n'),
        ])
