from identityprovider import context_processors
from identityprovider.tests.utils import SSOBaseTestCase


class DebugTestCase(SSOBaseTestCase):

    def setUp(self):
        super(DebugTestCase, self).setUp()
        self.mock_debug = self.patch(
            'identityprovider.context_processors.context_processors.debug')

    def test_result_no_request(self):
        request = None
        expected = {}
        self.mock_debug.side_effect = AttributeError()

        actual = context_processors.debug(request)

        self.assertEqual(actual, expected)
        self.mock_debug.assert_called_once_with(request)

    def test_result_with_request(self):
        request = self.factory.make_request()
        expected = dict(foo='bar', zaraza=object())
        self.mock_debug.return_value = expected

        actual = context_processors.debug(request)

        self.assertEqual(actual, expected)
        self.mock_debug.assert_called_once_with(request)


class CombineTestCase(SSOBaseTestCase):

    def test_includes_combo_context(self):
        with self.settings(
                COMBINE=True, COMBO_URL='http://example.com/combo/'):
            result = context_processors.combine(self.factory.make_request())

        self.assertEqual(result['combine'], True)
        self.assertEqual(result['combo_url'], 'http://example.com/combo/')
