# Copyright 2010 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).
from django.test import TestCase

from identityprovider.models.const import BaseConst


class BaseConstTestCase(TestCase):

    class TestEnum(BaseConst):
        A = 1
        B = 2
        c = 3
        _d = 4
        _E = 5

        def __init__(self):
            self.C = 6

        def f(self):
            pass

        def F(self):
            pass

        def _G(self):
            pass

        def _g(self):
            pass

        @property
        def prop(self):
            pass

    def test_enum(self):
        expected = ['A', 'B']
        self.assertEquals(self.TestEnum.enum(), expected)
        enum = self.TestEnum()
        self.assertEquals(enum.enum(), expected)

    def test_get_choices(self):
        expected = [(1, 'A'), (2, 'B')]
        self.assertEquals(self.TestEnum._get_choices(), expected)
        enum = self.TestEnum()
        self.assertEquals(enum._get_choices(), expected)
