# -*- coding: utf-8 -*-
from __future__ import unicode_literals

from django.db import models, migrations
import oauth_backend.models
import django.utils.timezone
from django.conf import settings


class Migration(migrations.Migration):

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Consumer',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('secret', models.CharField(default=oauth_backend.models.generate_random_string_secret, max_length=255, blank=True)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('updated_at', models.DateTimeField(auto_now=True)),
                ('user', models.OneToOneField(related_name='oauth_consumer', to=settings.AUTH_USER_MODEL)),
            ],
            options={
                'db_table': 'oauth_consumer',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Nonce',
            fields=[
                ('id', models.AutoField(verbose_name='ID', serialize=False, auto_created=True, primary_key=True)),
                ('nonce', models.CharField(max_length=255, editable=False)),
                ('created_at', models.DateTimeField(auto_now_add=True)),
                ('consumer', models.ForeignKey(to='oauth_backend.Consumer')),
            ],
            options={
                'db_table': 'oauth_nonce',
            },
            bases=(models.Model,),
        ),
        migrations.CreateModel(
            name='Token',
            fields=[
                ('token', models.CharField(default=oauth_backend.models.generate_random_string_token, max_length=50, serialize=False, primary_key=True)),
                ('token_secret', models.CharField(default=oauth_backend.models.generate_random_string_secret, max_length=50)),
                ('name', models.CharField(max_length=255, blank=True)),
                ('created_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('updated_at', models.DateTimeField(default=django.utils.timezone.now)),
                ('consumer', models.ForeignKey(to='oauth_backend.Consumer')),
            ],
            options={
                'db_table': 'oauth_token',
            },
            bases=(models.Model,),
        ),
        migrations.AddField(
            model_name='nonce',
            name='token',
            field=models.ForeignKey(to='oauth_backend.Token'),
            preserve_default=True,
        ),
        migrations.AlterUniqueTogether(
            name='nonce',
            unique_together=set([('nonce', 'token', 'consumer')]),
        ),
    ]
