# Copyright 2016 Canonical Ltd.  This software is licensed under the
# GNU Affero General Public License version 3 (see the file LICENSE).

from __future__ import unicode_literals

from django.template import (
    Context,
    Template,
)

from identityprovider.tests.utils import SSOBaseTestCase
from webui.utils import mark_safe_lazy


class LazyMarkSafeTestCase(SSOBaseTestCase):

    def render_string_in_template(self, string):
        """Render 'string' in a template, return the result."""
        template = Template('{{ str }}')
        context = Context(dict(str=string))
        return template.render(context)

    def test_returns_safe_string(self):
        lazy_string = mark_safe_lazy("<b>Lazy</b>")
        observed = self.render_string_in_template(lazy_string)
        self.assertEqual("<b>Lazy</b>", observed)
